Bug 149748 - CRASH: selecting None from Color bar
Summary: CRASH: selecting None from Color bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.4.0.0 beta1+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.5.0 target:7.4.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-06-27 14:28 UTC by Xisco Faulí
Modified: 2022-06-29 12:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Miklos Vajna


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-06-27 14:28:51 UTC
Steps to reproduce:
1. Open impress
2. View - Color bar
3. Click on none

-> Crash

Reproduced in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 9c796266470183f673eb58a8637dfe621eefa8b3
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-06-27 14:29:43 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.com>	2022-04-06 20:14:52 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2022-04-07 08:15:48 +0200
commit f5db3b12ae1cd3bfe6ee5d260aec9532cc65f2dc (patch)
tree 60ca122103456e4b3f27eedb4c48f3fbc556f648
parent 6240902d996c31c1200fa523f89a419a934cde58 (diff)
sd theme: add UI (sidebar) for shape fill color

Bisected with: bibisect-linux64-7.4

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2022-06-29 10:34:32 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c09eb0f74c0a110e4a4cfc4783b59883aad30475

tdf#149748 sd theme: fix crash on selecting none from color bar

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-06-29 12:55:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/08daa6801ca48007fc4f676b3b90098b35f8f70e

tdf#149748 sd theme: fix crash on selecting none from color bar

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.